# Options (features to be included):
# set this if you have GLPK library
DEFINES += HAVE_GLPK

# set this if you have Python and CVXOPT
DEFINES += HAVE_CVXOPT

# set this if you have NEMO (or NEMOlight) and UNSIO library
DEFINES += HAVE_UNSIO

# set this if you have QwtPlot3d library (for GUI only)
DEFINES += HAVE_QWTPLOT3D

# set this if you have HDF5 library and want to use it for storing binary data in SMILE
DEFINES += HAVE_HDF5

# set this to dump more rubbish to console
#DEFINES += DEBUGPRINT

# check the paths below (including conditional blocks depending on what options above were set)
unix:!macx {
INCLUDEPATH += /home/eugvas/libs/gsl/include
LIBS += -static-libgcc \
#    /home/eugvas/libs/gsl/lib/libgsl.a \
#    /home/eugvas/libs/gsl/lib/libgslcblas.a
    -lgsl -lgslcblas
}
macx {
INCLUDEPATH += /opt/local/include
QMAKE_LIBDIR += /opt/local/lib
LIBS += /opt/local/lib/libz.a \
    /opt/local/lib/libgsl.a \
    /opt/local/lib/libgslcblas.a \
    /opt/local/lib/libgmp.a
ICON = smile.icns
}

contains( DEFINES, HAVE_GLPK ) {
INCLUDEPATH     += /home/eugvas/libs/glpk/include
#unix:!macx:LIBS += /home/eugvas/libs/glpk/lib/libglpk.a
unix:!macx:LIBS += -lglpk
macx:LIBS       += /opt/local/lib/libglpk.a
}

contains( DEFINES, HAVE_CVXOPT ) {
unix:!macx:INCLUDEPATH += \
    /usr/include/cvxopt \
    /usr/include/python2.6
unix:!macx:LIBS += -lpython2.6
macx:INCLUDEPATH += /Library/Frameworks/Python.framework/Headers/
macx:LIBS += /Library/Frameworks/Python.framework/Versions/2.7/lib/libpython2.7.dylib
}

contains( DEFINES, HAVE_UNSIO ) {
unix:!macx {
INCLUDEPATH += \
#    /home/eugvas/nemo/inc \
#    /home/eugvas/nemo/usr/jcl/unsio-new/unsio/src
    /usr/local/nemo_3.3.0/inc
LIBS   += \
#    /home/eugvas/nemo/lib/libnemo.a \
#    /home/eugvas/nemo/lib/libunsio.a
    /usr/local/nemo_3.3.0/lib/libnemo.a \
    /usr/local/nemo_3.3.0/lib/libunsio.a
}
macx {
INCLUDEPATH += /Users/user/Documents/soft/unsio
QMAKE_LIBDIR+= /Users/user/Documents/soft/unsio
LIBS += -lnemo -lunsio
}
}

contains( DEFINES, HAVE_HDF5 ) {
unix:!macx:INCLUDEPATH += /usr/include/hdf5
macx:INCLUDEPATH       += /Users/user/Documents/soft/hdf5
LIBS += -lhdf5
}

TEMPLATE = app
RC_FILE  = smile.rc

# Input files shared between console and GUI versions
HEADERS += common.h \
           core.h \
           iodata.h \
           iopotential.h \
           iosnapshot.h \
           massmodel.h \
           optimization.h \
           orbitan.h \
           orbitint.h \
           orbitlib.h \
           potential.h \
           schwarzschild.h \
           utils.h 
SOURCES += core.cpp \
           iodata.cpp \
           iopotential.cpp \
           iosnapshot.cpp \
           massmodel.cpp \
           optimization.cpp \
           orbitan.cpp \
           orbitint.cpp \
           orbitlib.cpp \
           potential.cpp \
           schwarzschild.cpp \
           utils.cpp
